Bug 1465564 - [Docs] OC deployment command: anything we ship under tripleo-heat-templates should be referenced from the same root path
Summary: [Docs] OC deployment command: anything we ship under tripleo-heat-templates s...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: async
: 13.0 (Queens)
Assignee: Dan Macpherson
QA Contact: RHOS Documentation Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-27 16:02 UTC by Alexander Chuzhoy
Modified: 2021-09-09 12:23 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-16 02:29:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3299211 0 None None None 2017-12-22 16:16:35 UTC

Description Alexander Chuzhoy 2017-06-27 16:02:34 UTC
Documentation: OC deployment command: anything we ship under tripleo-heat-templates should be referenced from the same root path

Previously it was possible to deploy with the following deployment command:

openstack overcloud deploy \
    --templates /home/stack/tripleo-heat-templates \
    -e /usr/share/openstack-tripleo-heat-templates/environments/network-isolation.yaml 




In OSP12 the file /usr/share/openstack-tripleo-heat-templates/environments/network-isolation.yaml doesn't exist and it gets generated by the deployment workflow.

For that to work, anything we ship under tripleo-heat-templates should be referenced from the same root path, so in OSP12 we should use:

openstack overcloud deploy \
    --templates /home/stack/tripleo-heat-templates \
    -e /home/stack/tripleo-heat-templates/environments/network-isolation.yaml 


Need to state the above as a deployment command note.

Note: custom (user defined) environments can still go anywhere,

Comment 1 Lucy Bopf 2017-07-27 02:21:10 UTC
Clearing target release pending docs triage.

Comment 2 Dan Macpherson 2017-07-31 05:56:36 UTC
This is a fairly simple documentation requirement for OSP12. Basically including *.j2.yaml environment files will only work from the template directory they're included from. Per Sasha's example:

RIGHT:
Template directory: /usr/share/openstack-tripleo-heat-templates/
Environment file: /usr/share/openstack-tripleo-heat-templates/environments/network-isolation.yaml (network-isolation.j2.yaml before rendering)

RIGHT:
Template directory: /home/stack/tripleo-heat-templates
Environment file: /home/stack/tripleo-heat-templates/environments/network-isolation.yaml (network-isolation.j2.yaml before rendering)

WRONG:
Template directory: /usr/share/openstack-tripleo-heat-templates/
Environment file: /home/stack/tripleo-heat-templates/environments/network-isolation.yaml (network-isolation.j2.yaml before rendering)

This will mostly affect the network isolation documentation. Also, this might reduce the network isolation documentation since this new feature auto-renders the network iso resources for composable services.

Requires:
- a note in network iso section about network-isolation.j2.yaml environment file location with the template collection
- Removing the manual composable role config (ports, networks, etc) from network iso section

Comment 3 Robin Cernin 2017-12-20 09:28:50 UTC
Hi Dan

Isn't this one similar for OSP10? https://bugzilla.redhat.com/show_bug.cgi?id=1485359

Comment 4 Shinobu KINJO 2018-02-07 10:42:55 UTC
What should we do with "openstack overcloud deploy" without "network-isolation.yaml".

Without "network-isolation.yaml", default networks are applied to network interfaces on overcloud nodes.

That means that networkings basically do not work.

Only the following files exist:

/usr/share/openstack-tripleo-heat-templates/environments/network-isolation.j2.yaml
/usr/share/openstack-tripleo-heat-templates/environments/network-isolation-v6.j2.yaml
/usr/share/openstack-tripleo-heat-templates/environments/network-isolation-no-tunneling.j2.yaml

Comment 7 Lucy Bopf 2018-08-13 02:19:11 UTC
Accepting into RHOSP 14 program and flagging for 12, 13, and 14. Assignee to discuss with DFG which versions to apply fix to.

Comment 8 Lucy Bopf 2018-08-21 06:58:06 UTC
Assigning to Alex for review.

Alex, there's some additional discussion in this BZ that appears to be outside the scope of original request. See Dan's comment 4 for the suggested work to satisfy the original request.

Comment 11 Dan Macpherson 2019-06-12 12:59:53 UTC
Updating version to a supported release. This BZ is still valid fro OSP13+.

Comment 14 Dan Macpherson 2019-07-16 02:29:52 UTC
Thanks, Sasha!


Note You need to log in before you can comment on or make changes to this bug.